Subject: bug#61104: 29.0.60; typescript-ts-mode does not provide compilation-mode support

From: Theodor Thornhill <[email-masked]>
Date: Fri, 03 Feb 2023 09:00:48 +0100

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 03 Feb 2023 06:30:29 +0100
>> From: Theodor Thornhill <[email-masked]>
>> CC: [email-masked], [email-masked]
>> 
>> On 2 February 2023 22:01:11 CET, "Jostein Kjønigsen" <[email-masked]> wrote:
>> >Any news on this one? Will this be merged? :)
>> >
>> 
>> My guess is that it should go on master. I'll look at it today - sorry it took some time :)
>
> I'm okay with installing this on emacs-29 if the patch looks good.
> Typescript mode is new in Emacs 29, so it's okay to make this change
> now.  But please be sure that the relevant tests still pass, i.e. that
> this change doesn't break something else in compilation-mode.
>
> Thanks.

Ok, I'll do that then.  I'll add this in addition in the next commit, if
that's ok.

Thanks, Jostein and Eli :)

Theo

diff --git a/test/lisp/progmodes/compile-tests.el b/test/lisp/progmodes/compile-tests.el
index 53dc7f2a13..22721563df 100644
--- a/test/lisp/progmodes/compile-tests.el
+++ b/test/lisp/progmodes/compile-tests.el
@@ -382,9 +382,13 @@ compile-tests--test-regexps-data
     ;; sun-ada
     (sun-ada "/home3/xdhar/rcds_rc/main.a, line 361, char 6:syntax error: \",\" inserted"
      1 6 361 "/home3/xdhar/rcds_rc/main.a")
+    (typescript-tsc-plain "/home/foo/greeter.ts(30,12): error TS2339: Property 'foo' does not exist."
+     1 12 30 "/home/foo/greeter.ts")
+    (typescript-tsc-pretty "src/resources/document.ts:140:22 - error TS2362: something."
+     1 22 140 "src/resources/document.ts")
     ;; 4bsd
     (edg-1 "/usr/src/foo/foo.c(8): warning: w may be used before set"
-     1 nil 8 "/usr/src/foo/foo.c")
+           1 nil 8 "/usr/src/foo/foo.c")
     (edg-1 "/usr/src/foo/foo.c(9): error: w is used before set"
      1 nil 9 "/usr/src/foo/foo.c")
     (4bsd "strcmp: variable # of args. llib-lc(359)  ::  /usr/src/foo/foo.c(8)"
@@ -495,7 +499,7 @@ compile-test-error-regexps
           (compilation-num-warnings-found 0)
           (compilation-num-infos-found 0))
       (mapc #'compile--test-error-line compile-tests--test-regexps-data)
-      (should (eq compilation-num-errors-found 98))
+      (should (eq compilation-num-errors-found 100))
       (should (eq compilation-num-warnings-found 35))
       (should (eq compilation-num-infos-found 28)))))